Docs
Add File Review
POST /Drives/{driveId}/files/{fileId}/versions/{versionId}/reviews
POST
/Drives/{driveId}/files/{fileId}/versions/{versionId}/reviewsSubmits or replaces the caller's review of a file version; the caller must be a crew member of the event. The response is Approved, Changes Requested or No Response (withdraws a previous response). When the event has a file task status mapping (Drives_UpsertFileTaskStatusMapping), the caller must be an assigned reviewer of the version (event admins need not be), and the version's task moves to done if all approved, changes requested if any reviewer asked for changes, otherwise in review.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
| versionId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| response | string | Optional |